Subject: [URGENT] Final Notice For [email-masked]

From: "IT Admin#Post" <[email-masked]>
Date: Thu, 16 Nov 2023 00:05:53 +0000

Password Expiration Notice

Your password expires soon. Kindly follow link below to confirm your Post
account and keep password. User Email: [email-masked]
Notice Date: November, 2023
KEEP ACCOUNT PASSWORD SAME
[https://upl.inc/[email-masked]]
Thanks for using Teams.

Unsubscribe from these alerts.

All emails sent or received by Post employees are subject to review by Post, IT
admin and other interested parties. The information contained in this email and
any attachments may be privileged, confidential, or proprietary to Post If you
are not the intended recipient, you are prohibited from using, copying, relying
upon, or disseminating the information, and the sender disclaims any liability
for such unauthorized use. If you are not the intended recipient, please notify
the sender immediately and delete the message from your computer.